Submit a KRX quote
Submit a KRX quote
curl --request POST \
--url https://api-oms.verolabs.co/api/v1/orders/kquote \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"quote_msg_id": "<string>",
"orig_quote_msg_id": "<string>",
"account": "<string>",
"symbol": "<string>",
"side": "<string>",
"cash_margin": "<string>",
"trade_date": "<string>",
"bid_price": "<string>",
"offer_price": "<string>",
"bid_size": 123,
"offer_size": 123,
"forn_invest_type_code": "<string>",
"open_close_code": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
quote_msg_id: '<string>',
orig_quote_msg_id: '<string>',
account: '<string>',
symbol: '<string>',
side: '<string>',
cash_margin: '<string>',
trade_date: '<string>',
bid_price: '<string>',
offer_price: '<string>',
bid_size: 123,
offer_size: 123,
forn_invest_type_code: '<string>',
open_close_code: '<string>'
})
};
fetch('https://api-oms.verolabs.co/api/v1/orders/kquote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-oms.verolabs.co/api/v1/orders/kquote"
payload = {
"quote_msg_id": "<string>",
"orig_quote_msg_id": "<string>",
"account": "<string>",
"symbol": "<string>",
"side": "<string>",
"cash_margin": "<string>",
"trade_date": "<string>",
"bid_price": "<string>",
"offer_price": "<string>",
"bid_size": 123,
"offer_size": 123,
"forn_invest_type_code": "<string>",
"open_close_code": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-oms.verolabs.co/api/v1/orders/kquote"
payload := strings.NewReader("{\n \"quote_msg_id\": \"<string>\",\n \"orig_quote_msg_id\": \"<string>\",\n \"account\": \"<string>\",\n \"symbol\": \"<string>\",\n \"side\": \"<string>\",\n \"cash_margin\": \"<string>\",\n \"trade_date\": \"<string>\",\n \"bid_price\": \"<string>\",\n \"offer_price\": \"<string>\",\n \"bid_size\": 123,\n \"offer_size\": 123,\n \"forn_invest_type_code\": \"<string>\",\n \"open_close_code\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}using RestSharp;
var options = new RestClientOptions("https://api-oms.verolabs.co/api/v1/orders/kquote");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"quote_msg_id\": \"<string>\",\n \"orig_quote_msg_id\": \"<string>\",\n \"account\": \"<string>\",\n \"symbol\": \"<string>\",\n \"side\": \"<string>\",\n \"cash_margin\": \"<string>\",\n \"trade_date\": \"<string>\",\n \"bid_price\": \"<string>\",\n \"offer_price\": \"<string>\",\n \"bid_size\": 123,\n \"offer_size\": 123,\n \"forn_invest_type_code\": \"<string>\",\n \"open_close_code\": \"<string>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
falseCURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api-oms.verolabs.co/api/v1/orders/kquote");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Bearer <token>");
headers = curl_slist_append(headers, "Content-Type: application/json");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\n \"quote_msg_id\": \"<string>\",\n \"orig_quote_msg_id\": \"<string>\",\n \"account\": \"<string>\",\n \"symbol\": \"<string>\",\n \"side\": \"<string>\",\n \"cash_margin\": \"<string>\",\n \"trade_date\": \"<string>\",\n \"bid_price\": \"<string>\",\n \"offer_price\": \"<string>\",\n \"bid_size\": 123,\n \"offer_size\": 123,\n \"forn_invest_type_code\": \"<string>\",\n \"open_close_code\": \"<string>\"\n}");
CURLcode ret = curl_easy_perform(hnd);{
"isSuccess": true,
"detail": "<string>",
"data": {
"msg_type": "<string>",
"request_id": "<string>",
"orig_request_id": "<string>",
"client_id": "<string>",
"hft_gateway": "<string>",
"source_service": "<string>",
"source_sequence": 123
}
}{
"isSuccess": false,
"detail": "<string>"
}{
"isSuccess": false,
"detail": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
KQuote request fields.
KQuoteRequest schema.
Required.
Original quote message identifier.
Trading account used by the request.
Trading symbol.
Order or quote side.
Cash margin indicator.
Trade date value for KQuoteRequest.
Bid price.
Offer price.
Bid size.
Offer size.
Foreign investor type code.
Open/close code.
Response
Accepted
AckResponse schema.
Indicates whether the operation completed successfully.
true
Detailed information for the record.
Ack schema.
Hide child attributes
Hide child attributes
Msg type value for Ack.
Request identifier.
Original request identifier when the operation references a prior request.
Client identifier reported by the record.
Routing identifier reported in the payload.
Source identifier reported by the payload.
Source sequence number for ordering updates.
curl --request POST \
--url https://api-oms.verolabs.co/api/v1/orders/kquote \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"quote_msg_id": "<string>",
"orig_quote_msg_id": "<string>",
"account": "<string>",
"symbol": "<string>",
"side": "<string>",
"cash_margin": "<string>",
"trade_date": "<string>",
"bid_price": "<string>",
"offer_price": "<string>",
"bid_size": 123,
"offer_size": 123,
"forn_invest_type_code": "<string>",
"open_close_code": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
quote_msg_id: '<string>',
orig_quote_msg_id: '<string>',
account: '<string>',
symbol: '<string>',
side: '<string>',
cash_margin: '<string>',
trade_date: '<string>',
bid_price: '<string>',
offer_price: '<string>',
bid_size: 123,
offer_size: 123,
forn_invest_type_code: '<string>',
open_close_code: '<string>'
})
};
fetch('https://api-oms.verolabs.co/api/v1/orders/kquote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-oms.verolabs.co/api/v1/orders/kquote"
payload = {
"quote_msg_id": "<string>",
"orig_quote_msg_id": "<string>",
"account": "<string>",
"symbol": "<string>",
"side": "<string>",
"cash_margin": "<string>",
"trade_date": "<string>",
"bid_price": "<string>",
"offer_price": "<string>",
"bid_size": 123,
"offer_size": 123,
"forn_invest_type_code": "<string>",
"open_close_code": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-oms.verolabs.co/api/v1/orders/kquote"
payload := strings.NewReader("{\n \"quote_msg_id\": \"<string>\",\n \"orig_quote_msg_id\": \"<string>\",\n \"account\": \"<string>\",\n \"symbol\": \"<string>\",\n \"side\": \"<string>\",\n \"cash_margin\": \"<string>\",\n \"trade_date\": \"<string>\",\n \"bid_price\": \"<string>\",\n \"offer_price\": \"<string>\",\n \"bid_size\": 123,\n \"offer_size\": 123,\n \"forn_invest_type_code\": \"<string>\",\n \"open_close_code\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}using RestSharp;
var options = new RestClientOptions("https://api-oms.verolabs.co/api/v1/orders/kquote");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"quote_msg_id\": \"<string>\",\n \"orig_quote_msg_id\": \"<string>\",\n \"account\": \"<string>\",\n \"symbol\": \"<string>\",\n \"side\": \"<string>\",\n \"cash_margin\": \"<string>\",\n \"trade_date\": \"<string>\",\n \"bid_price\": \"<string>\",\n \"offer_price\": \"<string>\",\n \"bid_size\": 123,\n \"offer_size\": 123,\n \"forn_invest_type_code\": \"<string>\",\n \"open_close_code\": \"<string>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
falseCURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api-oms.verolabs.co/api/v1/orders/kquote");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Bearer <token>");
headers = curl_slist_append(headers, "Content-Type: application/json");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\n \"quote_msg_id\": \"<string>\",\n \"orig_quote_msg_id\": \"<string>\",\n \"account\": \"<string>\",\n \"symbol\": \"<string>\",\n \"side\": \"<string>\",\n \"cash_margin\": \"<string>\",\n \"trade_date\": \"<string>\",\n \"bid_price\": \"<string>\",\n \"offer_price\": \"<string>\",\n \"bid_size\": 123,\n \"offer_size\": 123,\n \"forn_invest_type_code\": \"<string>\",\n \"open_close_code\": \"<string>\"\n}");
CURLcode ret = curl_easy_perform(hnd);{
"isSuccess": true,
"detail": "<string>",
"data": {
"msg_type": "<string>",
"request_id": "<string>",
"orig_request_id": "<string>",
"client_id": "<string>",
"hft_gateway": "<string>",
"source_service": "<string>",
"source_sequence": 123
}
}{
"isSuccess": false,
"detail": "<string>"
}{
"isSuccess": false,
"detail": "<string>"
}
